[VC++]バージョン違いによるエラー

過去のwikiの情報をこちらに移行しました。

■以下のエラーが発生

>LINK : fatal error LNK1181: 入力ファイル 'C:Program FilesMicrosoft Visual Studio 8VCPlatformSDKLibUxtheme.lib' を開けません。

該当リンクを削除した場合以下のエラーが発生する

error C1900: 'P1' Version '20080116' と 'P2' Version '20070207' が一致しません

■理由
VC2005で開発したものをVC2008でビルドしようとしているため

■解決策
Microsoft Visual Studio 2008 Service Pack 1をインストールする
 ※VS90sp1-KB945140-JPN.exeがダウンロードされる

a

スポンサーリンク







シェアする

  • このエントリーをはてなブックマークに追加

フォローする

スポンサーリンク